#!/usr/bin/env python3

# Copyright (c) 2019, 2022 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.
# Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG

if __name__ == "__main__": 
	# the sys.path starts with the directory containing pysys.py which can lead to Python 
	# mistaking this file for the pysys package; regardless, it's not needed for locating 
	# the pysys modules since those will be in site-packages once pysys is installed
	import os, sys
	script_path = os.path.normcase(os.path.abspath(sys.path[0]))
	sys.path = [p for p in sys.path if os.path.normcase(os.path.abspath(p)) != script_path]

	from pysys import __main__
	__main__.main()
